org.appng.xml.platform

## Class OutputFormat

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.OutputFormat

- All Implemented Interfaces:
    Serializable

      public class OutputFormat
      extends BaseObject
      implements Serializable

  The OutputFormat determines the basic format of the output, such as html,pdf or xml. The default OutputFormat is 'html'. A format can provide several `OutputType`s, each of them offering a different layout.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `_default`
    `protected String` | `id`
    `protected List<OutputType>` | `outputType`
    `protected Permissions` | `permissions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The unique Id for this `OutputFormat`
    `List<OutputType>` | `getOutputType()` Gets the value of the outputType property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `Boolean` | `isDefault()` Set to 'true' if this is the default `OutputFormat`.
    `void` | `setDefault(Boolean value)` Sets the value of the default property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### permissions

          protected Permissions permissions

    - #### outputType

          protected List<OutputType> outputType

    - #### id

          protected String id

    - #### _default

          protected Boolean _default

  - ### Constructor Detail

    - #### OutputFormat

          public OutputFormat()

  - ### Method Detail

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getOutputType

          public List<OutputType> getOutputType()

      Gets the value of the outputType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outputType property.

      For example, to add a new item, do as follows:

              getOutputType().add(newItem);

      Objects of the following type(s) are allowed in the list `OutputType`

    - #### getId

          public String getId()

      The unique Id for this `OutputFormat`
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDefault

          public Boolean isDefault()

      Set to 'true' if this is the default `OutputFormat`.
      Returns:
        possible object is `Boolean`

    - #### setDefault

          public void setDefault(Boolean value)

      Sets the value of the default property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.